Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibCommon/TComDataCU.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibCommon/TComDataCU.cpp	(revision 575)
@@ -291,5 +291,7 @@
     m_pbInterSDCFlag     = (Bool*  )xMalloc(Bool,   uiNumPartition);
     for( Int i = 0; i < 4; i++ )
+    {
       m_apSegmentInterDCOffset[i] = (Int*)xMalloc(Int, uiNumPartition);
+    }
 #endif
   }
Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecCu.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecCu.cpp	(revision 575)
@@ -490,8 +490,14 @@
 #if LGE_INTER_SDC_E0156
       if( m_ppcCU[uiDepth]->getInterSDCFlag( 0 ) )
+      {
         xReconInterSDC( m_ppcCU[uiDepth], uiAbsPartIdx, uiDepth );
+      }
       else
+      {
 #endif
       xReconInter( m_ppcCU[uiDepth], uiDepth );
+#if LGE_INTER_SDC_E0156
+      }
+#endif
       break;
     case MODE_INTRA:
Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 575)
@@ -674,8 +674,12 @@
 
   if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-    return;
+  {
+    return;
+  }
 
   if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || pcCU->isSkipped( uiAbsPartIdx ) )
-    return;
+  {
+    return;
+  }
 
   m_pcEntropyDecoderIf->parseInterSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
@@ -685,8 +689,12 @@
 {
   if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-    return;
+  {
+    return;
+  }
 
   if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || !pcCU->getInterSDCFlag( uiAbsPartIdx ) )
-    return;
+  {
+    return;
+  }
 
   UInt uiNumSegments = ( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N ) ? 1 : ( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ? 4 : 2 );
@@ -694,5 +702,7 @@
   // decode residual data for each segment
   for( UInt uiSeg = 0; uiSeg < uiNumSegments; uiSeg++ )
+  {
     m_pcEntropyDecoderIf->parseInterSDCResidualData( pcCU, uiAbsPartIdx, uiDepth, uiSeg );
+  }
 }
 #endif
Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 575)
@@ -2267,5 +2267,7 @@
   }
   else
+  {
     pcCU->setInterSDCFlagSubParts( false, uiAbsPartIdx, 0, uiDepth);
+  }
 }
 
Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncCu.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncCu.cpp	(revision 575)
@@ -1864,8 +1864,14 @@
 #if LGE_INTER_SDC_E0156
         if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) )
+        {
           bestIsSkip = !rpcBestCU->getSDCFlag( 0 ) && ( rpcBestCU->getQtRootCbf(0) == 0 );
+        }
         else
+        {
 #endif
         bestIsSkip = rpcBestCU->getQtRootCbf(0) == 0;
+#if LGE_INTER_SDC_E0156
+        }
+#endif
       }
     }
Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 575)
@@ -828,11 +828,17 @@
 {
   if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-    return;
+  {
+    return;
+  }
 
   if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || pcCU->isSkipped( uiAbsPartIdx ) )
-    return;
-
-  if( bRD )
-    uiAbsPartIdx = 0;
+  {
+    return;
+  }
+
+  if( bRD )
+  {
+    uiAbsPartIdx = 0;
+  }
 
   m_pcEntropyCoderIf->codeInterSDCFlag( pcCU, uiAbsPartIdx );
@@ -842,11 +848,17 @@
 {
   if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-    return;
+  {
+    return;
+  }
 
   if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || !pcCU->getInterSDCFlag( uiAbsPartIdx ) )
-    return;
-
-  if( bRD )
-    uiAbsPartIdx = 0;
+  {
+    return;
+  }
+
+  if( bRD )
+  {
+    uiAbsPartIdx = 0;
+  }
 
   // number of segments depends on prediction mode for INTRA
@@ -855,5 +867,7 @@
   // encode residual data for each segment
   for( UInt uiSeg = 0; uiSeg < uiNumSegments; uiSeg++ )
+  {
     m_pcEntropyCoderIf->codeInterSDCResidualData( pcCU, uiAbsPartIdx, uiSeg );
+  }
 }
 #endif
Index: /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 574)
+++ /branches/HTM-DEV-2.0-dev2-LG/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 575)
@@ -5532,5 +5532,7 @@
 #if H_3D_VSO //M 14
     if ( m_pcRdCost->getUseLambdaScaleVSO() )    
+    {
       rdCost = m_pcRdCost->calcRdCostVSO( uiBits, ruiDist );    
+    }
     else
 #endif